Name:           mari0
Version:        1.6
Release:        %mkrel 3
Summary:        Puzzle platformer with a Portal gun
Group:          Games/Arcade
# Its license makes mari0 nonfree as per our licensing policy
License:        CC-BY-NC-SA 3.0
URL:            http://stabyourself.net/mari0/
# Downloaded from http://stabyourself.net/dl.php?file=mari0-1006/mari0-source.zip
# The .love file is a zip archive containing the source code
Source0:        %{name}-source.zip

BuildArch:      noarch
BuildRequires:  dos2unix
BuildRequires:  imagemagick
Requires:       love0.8

%description
Two genre defining games from completely different eras: Nintendo's Super
Mario Bros. and Valve's Portal. These two games managed to give Platformers
and First-Person Puzzle Games a solid place in the video game world. But what
if Nintendo teamed up with Valve and recreated the famous Mario game with
Portal gun mechanics?

This game is in the nonfree repository because of the usage restrictions
of its license (CC-BY-NC-SA 3.0)

%files
%doc readme.txt
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/%{name}.love
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -q -c
# Fix encoding and line-endings
dos2unix readme.txt
iconv -f CP1250 -t UTF-8 readme.txt > readme.txt.utf8
mv readme.txt.utf8 readme.txt

# Extract icon from .love file
unzip -p %{name}_%{version}.love graphics/icon.gif > icon.gif

%build
# Launcher script
cat > %{name}.sh << EOF
#!/bin/sh
love0.8 %{_gamesdatadir}/%{name}/%{name}.love
EOF

# Desktop entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Mari0
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%install
install -D -m 644 %{name}_%{version}.love %{buildroot}%{_gamesdatadir}/%{name}/%{name}.love
install -D -m 755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}
install -D -m 755 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
for size in 16 32 64 128 256; do
    mkdir -p %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/
    convert icon.gif -resize ${size}x${size} %{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.6-3.mga5
+ Revision: 749520
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6-2.mga5.nonfree
+ Revision: 682169
- Mageia 5 Mass Rebuild

* Fri Mar 21 2014 akien <akien> 1.6-1.mga5.nonfree
+ Revision: 606469
- imported package mari0

